document.addEventListener('DOMContentLoaded', () => {
    // Demo visualization
    const demoVisual = document.getElementById('demoVisual');
    const demoCode = document.getElementById('demoCode');
    
    // Sample data visualization
    const createVisualization = () => {
        const data = Array.from({length: 50}, () => Math.random() * 100);
        const maxValue = Math.max(...data);
        
        demoVisual.innerHTML = data
            .map(value => {
                const height = (value / maxValue) * 100;
                return `<div class="bar" style="height: ${height}%"></div>`;
            })
            .join('');
            
        demoCode.textContent = `
const data = getData();
scroll.visualize(data, {
    type: 'bar',
    animate: true,
    color: '#6366f1'
});`;
    };
    
    createVisualization();
    
    // Copy button functionality
    const copyButton = document.querySelector('.copy-button');
    copyButton.addEventListener('click', () => {
        navigator.clipboard.writeText('npm install jscroll');
        copyButton.textContent = 'Copied!';
        setTimeout(() => {
            copyButton.textContent = 'Copy';
        }, 2000);
    });
    
    // Smooth scroll for navigation
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', (e) => {
            e.preventDefault();
            document.querySelector(anchor.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});